/*
Header file for CTexture class
 */

#ifndef _TEXTURE_H_
#define _TEXTURE_H_

#include <GL/gl.h>
#include <GL/glu.h>
//#include "bitmap.h"

class CTexture : public CObject
{
	public:
		CTexture();
		virtual ~CTexture();
		//these both return 0 on success or -1 on error.
		 int	TextureLoadBitmap(char *filename);
		 int	TextureLoadMipmap(char *filename);
			void MakeCurrent(void);
	private:
	BOOL m_bBitMap;
	GLubyte* m_rgb;
	BITMAPINFO* m_info;
	BITMAPINFO* LoadDIBitmap(char	*filename, BITMAPINFO	**info);	
	GLubyte * ConvertRGB(BITMAPINFO *info, BITMAPINFO* bits);
protected:
	
};

#endif // _TEXTURE_H_
